{%- set Nova_Test_Flavor = 'NovaTestFlavor' %}
{%- set Nova_Test_Flavor_ID = salt['cmd.run']('cat /proc/sys/kernel/random/uuid') %}
{%- set Nova_Aggregate_Test_Name = 'NovaAggregateTestName '%}
{%- set Nova_Test_Keypair_Name = 'NovaTestKeypairName' %}
{%- set Nova_Test_Keypair_Pub_Key = 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAgQDx8nkQv/zgGgB4rMYmIf+6A4l6Rr+o/6lHBQdW5aYd44bd8JttDCE/F/pNRr0lRE+PiqSPO8nDPHw0010JeMH9gYgnnFlyY3/OcJ02RhIPyyxYpv9FhY+2YiUkpwFOcLImyrxEsYXpD/0d3ac30bNH6Sw9JD9UZHYcpSxsIbECHw== Generated-by-Nova' %}

novav21_flavor_present:
  novav21.flavor_present:
  - cloud_name: admin_identity
  - flavor_id: {{ Nova_Test_Flavor_ID }}
  - name: {{ Nova_Test_Flavor }}
  - vcpus: 2
  - ram: 1
  - disk: 2

novav21_flavor_absent:
  novav21.flavor_absent:
  - cloud_name: admin_identity
  - name: {{ Nova_Test_Flavor }}
  - require:
    - novav21_flavor_present

novav21_aggregate_present:
  novav21.aggregate_present:
  - cloud_name: admin_identity
  - name: {{ Nova_Aggregate_Test_Name }}

novav21_aggregate_absent:
  novav21.aggregate_absent:
  - cloud_name: admin_identity
  - name: {{ Nova_Aggregate_Test_Name }}
  - require:
    - novav21_aggregate_present

novav21_keypair_present:
  novav21.keypair_present:
  - cloud_name: admin_identity
  - name: {{ Nova_Test_Keypair_Name }}
  - public_key: {{ Nova_Test_Keypair_Pub_Key }}

novav21_keypair_absent:
  novav21.keypair_absent:
  - cloud_name: admin_identity
  - name: {{ Nova_Test_Keypair_Name }}
  - require:
    - novav21_keypair_present
